"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getAll = void 0;

const getAll = async getPageEntities => {
  let nextMarker = undefined;
  let page = 0;
  const entities = [];

  while (true) {
    page++;
    const entitiesResponse = await getPageEntities(nextMarker, page);
    entities.push(...entitiesResponse.items);

    if (entitiesResponse.nextMarker) {
      nextMarker = entitiesResponse.nextMarker;
    } else {
      return entities;
    }
  }
};

exports.getAll = getAll;