"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.readRecursively = void 0;

var _fs = require("fs");

var _path = require("path");

const readRecursively = dir => {
  return (0, _fs.readdirSync)(dir).reduce((files, file) => {
    if ((0, _fs.statSync)((0, _path.join)(dir, file)).isDirectory()) {
      return files.concat(readRecursively((0, _path.join)(dir, file)));
    }

    return files.concat((0, _path.join)(dir, file));
  }, []);
};

exports.readRecursively = readRecursively;