"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.awsReject = exports.awsResolve = void 0;

const awsResolve = value => ({
  promise: () => Promise.resolve(value)
});

exports.awsResolve = awsResolve;

const awsReject = (statusCode, message = "") => ({
  promise: () => Promise.reject({
    statusCode,
    message
  })
});

exports.awsReject = awsReject;